gupnp_root_device_get_relative_location
gupnp_root_device_set_available
Gupnp Functions
PHP Manual

# gupnp_root_device_new

(PECL gupnp >= 0.1.0)

gupnp_root_device_new — Create a new root device

### Description

resource gupnp_root_device_new ( resource `$context` , string `$location` )

Create a new root device, automatically downloading and parsing location.

### Parameters

`context`

  A context identifier, returned by gupnp_context_new().

`location`

  Location of the description file for this device, relative to the HTTP root

### Return Values

A root device identifier.

### Examples

Example #1 Create new UPnP context and get device info service

`<?php
/* Create the UPnP context */
$context = gupnp_context_new();
if (!$context) {
die("Error creating the GUPnP context\n");
}
/* Create root device */
$location = "/BinaryLight1.xml";
$dev = gupnp_root_device_new($context, $location);
?>`

### See Also

- gupnp_root_device_set_available() - Set whether or not root_device is available
- gupnp_root_device_start() - Start main loop
- gupnp_root_device_stop() - Stop main loop

gupnp_root_device_get_relative_location
gupnp_root_device_set_available
Gupnp Functions
PHP Manual